XBPS-REMOVE(1)

NAME
xbps-remove - XBPS utility to remove packages

SYNOPSIS
xbps-remove [OPTIONS] [PKGNAME...]

DESCRIPTION
The xbps-remove utility removes installed packages in the target root directory. Removing a package involves the following steps:

* Executes the pre ACTION on its REMOVE script (which can be shown by running `xbps-query --property=remove-script pkg` ).

* Package files are removed if those have not been modified. The -f option overrides this behaviour and forcefully removes the files.

* Executes the post ACTION on its REMOVE script (which can be shown by running `xbps-query --property=remove-script pkg` ).

* Changes package state to XBPS_PKG_STATE_HALF_REMOVED in the package database.

* Executes the purge ACTION on its REMOVE script (which can be shown by running `xbps-query --property=remove-script pkg` ).

* Package metadata file is removed.

* Package is unregistered from package database.

OPTIONS

-C, --config dir
    Specifies a path to the XBPS configuration directory. If the first character is not '/' then it's a relative path of rootdir.

-c, --cachedir dir
    Specifies a path to the cache directory, where binary packages are stored. If the first character is not '/' then it's a relative path of rootdir.

-d, --debug
    Enables extra debugging shown to stderr.

-F, --force-revdeps
    Forcefully remove package even if there are reverse dependencies and/or broken shared libraries (DANGEROUS!).

-f, --force
    Forcefully remove package files even if they have been modified.

-h, --help
    Show the help message.

-n, --dry-run
    Dry-run mode. Show what actions would be done but don't do anything. The current output prints 6 arguments: "<pkgver> <action> <arch> <repository> <installedsize> <downloadsize>".

-O, --clean-cache
    Cleans cache directory removing obsolete binary packages.

-o, --remove-orphans
    Removes installed package orphans that were installed automatically (as dependencies) and are not currently dependencies of any installed package. See --mode auto in xbps-pkgdb(1).

-R, --recursive
    Recursively remove packages that were installed by PKGNAME and aren't required by other installed packages.

-r, --rootdir dir
    Specifies a full path for the target root directory.

-v, --verbose
    Enables verbose messages.

-y, --yes
    Assume yes to all questions and avoid interactive questions.

-V, --version
    Show the version information.

FILES

/etc/xbps.d
    Default configuration directory.

/usr/share/xbps.d
    Default system configuration directory.

/var/db/xbps/.<pkgname>-files.plist
    Package files metadata.

/var/db/xbps/pkgdb-0.38.plist
    Default package database (0.38 format). Keeps track of installed packages and properties.

/var/cache/xbps
    Default cache directory to store downloaded binary packages.

SEE ALSO
xbps-checkvers(1), xbps-create(1), xbps-dgraph(1), xbps-digest(1), xbps-fbulk(1), xbps-fetch(1), xbps-install(1), xbps-pkgdb(1), xbps-query(1), xbps-reconfigure(1), xbps-rindex(1), xbps-uchroot(1), xbps-uunshare(1), xbps.d(5)

AUTHORS
Juan Romero Pardines <xtraeme@gmail.com>

BUGS
Probably, but I try to make this not happen. Use it under your own responsibility and enjoy your life.

Report bugs at https://github.com/void-linux/xbps/issues